#App\Entity\Territory:
#    territory_1:
#        name: 'Great Lakes'

#App\Entity\Dealer:
#    dealer_1:
#        name: 'Luxury Pools and Living'
#        address: '1605 Shawnee Ave.'
#        city: 'Columbus'
#        state: 'OH'
#        zip: '43211'
#        phone: '614-890-7665'
#        sendLeadEmailTo: 'jarrett@lplohio.com'
#        territory: '@territory_1'
#    dealer_2:
#        name: 'two'
#        address: 'two'
#        city: 'two'
#        state: 'two'
#        zip: 'two'
#        phone: 'two'
#        sendLeadEmailTo: 'two'
#        territory: '@territory_1'
#    dealer_3:
#        name: 'three'
#        address: 'three'
#        city: 'three'
#        state: 'three'
#        zip: 'three'
#        phone: 'v'
#        sendLeadEmailTo: 'three'
#        territory: '@territory_1'

#App\Entity\PoolYard:
#    yard_1:
#        name: 'OH Yard'
#    yard_2:
#        name: 'SC Yard'

App\Entity\User:
    user_1:
        email: 'system@brpoolsdashboard.com'
        plainPassword: '8drof8'
        enabled: false
        roles: '[]'
    user_2:
        email: 'jarrett@lplohio.com'
        plainPassword: '8drof8'
        enabled: true
        roles: '[ROLE_ALLOWED_TO_SWITCH, ROLE_SUPER_ADMIN, ROLE_FACTORY_ADMIN]'
#    user_2:
#        email: 'matthew@lplohio.com'
#        plainPassword: '8drof8'
#        enabled: true
#        roles: '[ROLE_FACTORY_ADMIN]'

App\Entity\BRUser:
    bruser_1:
        user: '@user_1'
        realName: 'Barrier Reef Dashboard'
        timezone: 'America/New_York'
    bruser_2:
        user: '@user_2'
        realName: 'Jarrett Griggs'
        timezone: 'America/New_York'
#    bruser_2:
#        user: '@user_2'
#        realName: 'Matthew Ray'

App\Entity\Role:
    role_1:
        role: 'ROLE_FACTORY_PRODUCTION'
        toString: 'Factory Production'
        slug: 'factory-production'
        toLink: 'production_index'
        defaultProfileHierarchy: 2
    role_2:
        role: 'ROLE_FACTORY_ADMIN'
        toString: 'Factory Administrator'
        slug: 'factory-admin'
        toLink: 'factory_index'
        defaultProfileHierarchy: 1
        brUsers: ['@bruser_1']
    role_3:
        role: 'ROLE_DEALER_ADMIN'
        toString: 'Dealer Administrator'
        slug: 'dealer-admin'
        toLink: 'dealer_admin_index'
        defaultProfileHierarchy: 3
        isEntitySpecific: true
    role_4:
        role: 'ROLE_DEALER_SALES'
        toString: 'Dealer Sales'
        slug: 'dealer-sales'
        toLink: 'dealer_sales_index'
        defaultProfileHierarchy: 4
        isEntitySpecific: true
    role_5:
        role: 'ROLE_TERRITORY_REP'
        toString: 'Territory Representative'
        slug: 'territory-rep'
        toLink: 'territory_index'
        defaultProfileHierarchy: 5
        isEntitySpecific: true
    role_6:
        role: 'ROLE_YARD_MANAGER'
        toString: 'Pool Yard Manager'
        slug: 'yard-manager'
        toLink: 'pool_yard_index'
        defaultProfileHierarchy: 6
        isEntitySpecific: true

App\Entity\Profile:
    profile_1:
        role: '@role_2'
        brUser: '@bruser_1'
#    profile_2:
#        role: '@role_2'
#        brUser: '@bruser_2'

#App\Entity\PoolColor:
#    color_1:
#        name: 'Aquamarine'
#    color_2:
#        name: 'Arctic'
#    color_3:
#        name: 'California'
#    color_4:
#        name: 'Evening Sky'
#    color_5:
#        name: 'Midnight'
#    color_6:
#        name: 'Ocean'
#    color_7:
#        name: 'Sandstone'
#    color_8:
#        name: 'Pacific'
#        isActive: false
#        parent: '@color_3'

#App\Entity\PoolModel:
#    model_1:
#        name: 'Capri'
#        slug: 'capri'
#        shortName: 'Capri'
#    model_2:
#        name: 'Coral Sea 1 (40'')'
#        slug: 'coral-sea-1-40'
#        shortName: 'Coral Sea 1 (40'')'
#    model_3:
#        name: 'Coral Sea 2 (35'')'
#        slug: 'coral-sea-2-35'
#        shortName: 'Coral Sea 2 (35'')'
#    model_4:
#        name: 'Coral Sea 2 (35'') Lounger'
#        slug: 'coral-sea-2-35-lounger'
#        shortName: 'CoralSea2 Lngr'
#    model_5:
#        name: 'Coral Sea 3 (31'')'
#        slug: 'coral-sea-3-31'
#        shortName: 'Coral Sea 3 (31'')'
#    model_6:
#        name: 'Crispin'
#        slug: 'crispin'
#        shortName: 'Crispin'
#    model_7:
#        name: 'Pacific 4 (29'')'
#        slug: 'pacific-4-29'
#        shortName: 'Pacific 4 (29'')'
#        isActive: false
#        parent: '@model_8'
#    model_8:
#        name: 'Atlantic 4 (29'')'
#        slug: 'atlantic-4-29'
#        shortName: 'Atlantic 4 (29'')'

App\Entity\FactoryVariables:
    variables_1:
        poolBuildLeadTime: 32

#App\Entity\PoolOwner:
#    owner_1:
#        firstName: 'asdf'
#        lastName: 'asdf'
#        address: 'asdf'
#        city: 'asdf'
#        state: 'OH'
#        zip: '13245'
#        email: 'email@email.com'

#App\Entity\PoolOrder:
#    order_{1..100}:
#        dealer: '@dealer_1'
#        brUser: '@bruser_1'
#        timestamp: '<dateTimeBetween("-200 days", "now")>'
#        originalRequestDate: '<dateTimeBetween("-200 days", "now")>'
#        poolModel: '@model_<numberBetween(1,8)>'
#        poolColor: '@color_<numberBetween(1,8)>'
#        confirmationNumber: '111111111'
#        poolOwner: '@owner_1'